package com.ajb.car.quotation.service;

import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.quotation.AgPoQuotationCover;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface AgPoQuotationCoverService {
	AgPoQuotationCover save(AgPoQuotationCover agpoquotationcover);
	Boolean delete (Long id);
	AgPoQuotationCover update(AgPoQuotationCover agpoquotationcover);
	AgPoQuotationCover findById(Long id);
	Page<AgPoQuotationCover> findByObjPageable(AgPoQuotationCover agpoquotationcover,Pageable pageable);
	List<AgPoQuotationCover> findByObjSortable(AgPoQuotationCover agpoquotationcover,Sort sort);
}